/** @file
	@author Jukka Jylnki

	This work is copyrighted material and may NOT be used for any kind of commercial or 
	personal advantage and may NOT be copied or redistributed without prior consent
	of the author(s). 
*/
#ifdef SKINNING

float4 SkinVertex(float3 weights, float4 indices, float4 pos)
{
	const float lastWeight = (1.f - weights.x - weights.y - weights.z);
	float4 p = mul(pos, mBoneTM[(int)indices.x]) * weights.x
	         + mul(pos, mBoneTM[(int)indices.y]) * weights.y
	         + mul(pos, mBoneTM[(int)indices.z]) * weights.z
	         + mul(pos, mBoneTM[(int)indices.w]) * lastWeight;
//	p /= p.w;//1.f;
	return p;
}
#endif
